.NET Framework 版本与系统对应关系

.NET Framework 版本与系统对应关系

查看原文链接:

英文链接:https://docs.microsoft.com/en-us/dotnet/framework/install/guide-for-developers

中文链接:https://docs.microsoft.com/zh-cn/dotnet/framework/get-started/system-requirements

概要内容:

.NET Framework 系统要求

  • 2018/04/10
  • 作者

     

    • Ron Petrusha
    •  

本主题中的表格针对 .NET Framework 以下版本列出了硬件、操作系统和软件要求:

  • .NET Framework 4.5 及其次要版本(4.5.1 和 4.5.2)。
  • .NET Framework 4.6 及其次要版本(4.6.1 和 4.6.2)。
  • .NET Framework 4.7 及其单点版本(4.7.1 和 4.7.2)。

允许你开发 .NET Framework 的应用的开发环境具有单独的一套需求。

重要

从 .NET Framework 4 开始,所有 .NET Framework 版本都是就地更新的,因此,在系统中只能存在一个 4.x 版本。 此外,某些版本的 Windows 操作系统上预装了特定版本的 .NET Framework。 这表示:

  • 如果在计算机上已安装了更高的 4.x 版本,则无法安装以前的 4.x 版本。
  • 如果操作系统预安装了特定的 .NET Framework 版本,则无法在同一计算机上安装以前的 4.x 版本。
  • 如果你安装更高版本,则无需先卸载以前的版本。

有关下载信息和链接,请参阅安装面向开发者的 .NET Framework

有关 .NET Framework 版本的支持生命周期的信息,请参阅 Microsoft 支持生命周期

硬件要求

   
处理器 1 GHz
RAM 512 MB
磁盘空间(最小值)  
32 位 4.5 GB
64 位 4.5 GB

安装要求

需要具有管理员权限才能安装 .NET Framework。 如果在要安装 .NET Framework 的计算机上不具有管理员权限,请联系网络管理员。

支持的客户端操作系统

操作系统 支持的版本 随 OS 预安装 可安装单独
Windows 10 2018 年 4 月更新 32 位和 64 位 .NET Framework 4.7.2 --
Windows 10 Fall Creators Update 32 位和 64 位 .NET Framework 4.7.1 .NET Framework 4.7.2
Windows 10 创意者更新 32 位和 64 位 .NET Framework 4.7 .NET Framework 4.7.1

.NET Framework 4.7.2
Windows 10 周年更新 32 位和 64 位 .NET Framework 4.6.2 .NET Framework 4.7

.NET Framework 4.7.1

.NET Framework 4.7.2
Windows 10 November Update 32 位和 64 位 .NET Framework 4.6.1 .NET Framework 4.6.2
Windows 10 32 位和 64 位 .NET Framework 4.6 .NET Framework 4.6.1 

.NET Framework 4.6.2
Windows 8.1 32 位、64 位和 ARM .NET Framework 4.5.1 .NET Framework 4.5.2

.NET Framework 4.6

.NET Framework 4.6.1

.NET Framework 4.6.2

.NET Framework 4.7

.NET Framework 4.7.1

.NET Framework 4.7.2
Windows 8 32 位、64 位和 ARM .NET Framework 4.5 .NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

.NET Framework 4.6.1
Windows 7 SP1 32 位和 64 位 -- .NET Framework 4

.NET Framework 4.5

.NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

.NET Framework 4.6.1

.NET Framework 4.6.2

.NET Framework 4.7

.NET Framework 4.7.1

.NET Framework 4.7.2
Windows Vista SP2 32 位和 64 位 -- .NET Framework 4

.NET Framework 4.5

.NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6
Windows XP 32 位和 64 位 -- .NET Framework 4

注意:

  • 在 Windows 7 系统上,.NET Framework 要求安装 Windows 7 SP1。 如果运行的是 Windows 7 系统,但尚未安装 Service Pack 1,则需要先安装 SP1,然后才能安装 .NET Framework。

  • Windows Preinstallation Environment (Windows PE) 上支持 .NET Framework 4.5。 Windows PE 上并非支持所有功能。

  • .NET Framework 4 还支持 IA64 平台。

  • 对于所有平台,我们都建议升级到最新的 Windows Service Pack 并安装 Windows Update 网站上提供的关键更新,从而确保实现最佳兼容性和安全性。

  • 在 64 位操作系统上,.NET Framework 支持 WOW64(在 64 位计算机上进行 32 位处理)和本机 64 位处理。

支持的服务器操作系统

操作系统 支持的版本 随 OS 预安装 可安装单独
Windows Server 版本 1709 64 位 .NET Framework 4.7.1 .NET Framework 4.7.2
Windows 2016 Server 64 位 .NET Framework 4.6.2 .NET Framework 4.7

.NET Framework 4.7.1

.NET Framework 4.7.2
Windows Server 2012 R2 64 位 .NET Framework 4.5.1 .NET Framework 4.5.2

.NET Framework 4.6

.NET Framework 4.6.1

.NET Framework 4.6.2

.NET Framework 4.7

.NET Framework 4.7.1

.NET Framework 4.7.2
Windows Server 2012(64 位版本) 64 位 .NET Framework 4.5 .NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

.NET Framework 4.6.1

.NET Framework 4.6.2

.NET Framework 4.7

.NET Framework 4.7.1

.NET Framework 4.7.2
Windows Server 2008 R2 SP1 64 位 -- .NET Framework 4

.NET Framework 4.5

.NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

.NET Framework 4.6.1

.NET Framework 4.6.2

.NET Framework 4.7

.NET Framework 4.7.1

.NET Framework 4.7.2
Windows Server 2008 SP2 32 位和 64 位 -- .NET Framework 4

.NET Framework 4.5

.NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

注意:

  • Windows Server 2012 包括 .NET Framework 4.5,因此,你不必单独安装它。 同样,Windows Server 2012 R2包含 .NET Framework 4.5.1。

  • .NET Framework 对 Windows Server 2008 R2 SP1 或更高版本的服务器核心角色的支持有限。 有关不受支持的 API 列表,请参阅服务器核心 .NET 功能

  • 适用于基于 Itanium 的系统的 Windows Server 2008 R2 不支持 .NET Framework。

  • 在 Windows Server 2008 SP2 上,.NET Framework 在服务器核心角色中不受支持。

  • 对于所有平台,我们都建议升级到最新的 Windows Service Pack 并安装 Windows Update 网站上提供的关键更新,从而确保实现最佳兼容性和安全性。 某些操作系统上可能需要安装最新的 Windows Service Pack。

  • 在 64 位操作系统上,.NET Framework 支持 WOW64(在 64 位计算机上进行 32 位处理)和本机 64 位处理。

展开阅读全文

没有更多推荐了,返回首页